#! /usr/bin/wish
# $Id: t.tcl 97 2007-03-02 01:27:54Z kostix $
# Testbed for generic search panel.

package require BWidget

####

namespace eval search {
	proc validate_entry args { return 1 }
}

event add <<OpenSearchPanel>> <Control-KeyPress-s>

proc double% s { string map {% %%} $s }

####

set sdir [file dir [info script]]

source [file join $sdir spanel.tcl]

####

bind . <Escape> {destroy .}

pack [text .t] -fill both -expand yes

set sp [search::spanel .search \
	-searchcmd [namespace current]::do_search \
	-closecmd  [namespace current]::sp_close
]

proc sp_open w {
	pack $w -side bottom -fill x
}

proc sp_close w {
	pack forget $w
	focus .t
}

proc do_search {w what dir} {
	tk_messageBox -message "$w -> searching $what -> $dir"
}

bind .t <<OpenSearchPanel>> [list [namespace current]::sp_open $sp]

focus .t

